package com.bonus.canteen.core.menu.dto;


import com.bonus.canteen.core.device.domain.DeviceInfo;

public class MenuSendMacListDto {
   private String mchNum;
   private String mchType;
   private Integer versionCode;
   private String machineSn;

   public static MenuSendMacListDto of(DeviceInfo deviceInfo) {
      MenuSendMacListDto menuSendMacListDto = new MenuSendMacListDto();
      menuSendMacListDto.setMchNum(deviceInfo.getDeviceNum());
      menuSendMacListDto.setMachineSn(deviceInfo.getDeviceSn());
      menuSendMacListDto.setMchType(String.valueOf(deviceInfo.getDeviceType()));
      return menuSendMacListDto;
   }

   public String getMchNum() {
      return this.mchNum;
   }

   public String getMchType() {
      return this.mchType;
   }

   public Integer getVersionCode() {
      return this.versionCode;
   }

   public String getMachineSn() {
      return this.machineSn;
   }

   public void setMchNum(final String mchNum) {
      this.mchNum = mchNum;
   }

   public void setMchType(final String mchType) {
      this.mchType = mchType;
   }

   public void setVersionCode(final Integer versionCode) {
      this.versionCode = versionCode;
   }

   public void setMachineSn(final String machineSn) {
      this.machineSn = machineSn;
   }

}
